gzguts.h File Reference
`#include <stdio.h>`
`#include "zlib.h"`
`#include <fcntl.h>`
`#include <errno.h>`

Go to the source code of this file.

## Classes

struct | gz_state

## Macros

#define | ZLIB_INTERNAL
#define | _POSIX_SOURCE
#define | local static
#define | zstrerror() strerror(errno)
#define | DEF_MEM_LEVEL 8
#define | GZBUFSIZE 8192
#define | GZ_NONE 0
#define | GZ_READ 7247
#define | GZ_WRITE 31153
#define | GZ_APPEND 1 /* mode set to GZ_WRITE after the file is opened */
#define | LOOK 0 /* look for a gzip header */
#define | COPY 1 /* copy input directly */
#define | GZIP 2 /* decompress a gzip stream */
#define | GT_OFF(x) (sizeof(int) == sizeof(z_off64_t) && (x) > gz_intmax())

## Typedefs

typedef gz_state FAR * | gz_statep

## Functions

voidp malloc | OF ((uInt size))
void free | OF ((voidpf ptr))
ZEXTERN gzFile ZEXPORT gzopen64 | OF ((const char *, const char *))
ZEXTERN z_off64_t ZEXPORT gzseek64 | OF ((gzFile, z_off64_t, int))
ZEXTERN z_off64_t ZEXPORT gztell64 | OF ((gzFile))
void ZLIB_INTERNAL gz_error | OF ((gz_statep, int, const char *))
unsigned ZLIB_INTERNAL gz_intmax | OF ((void))

## Macro Definition Documentation

## _POSIX_SOURCE

#define _POSIX_SOURCE

Definition at line 30 of file gzguts.h.

## COPY

#define COPY 1 /* copy input directly */

Definition at line 166 of file gzguts.h.

## DEF_MEM_LEVEL

#define DEF_MEM_LEVEL 8

Definition at line 149 of file gzguts.h.

## GT_OFF

#define GT_OFF | ( |  | x | ) | (sizeof(int) == sizeof(z_off64_t) && (x) > gz_intmax())

Definition at line 217 of file gzguts.h.

## GZ_APPEND

#define GZ_APPEND 1 /* mode set to GZ_WRITE after the file is opened */

Definition at line 162 of file gzguts.h.

## GZ_NONE

#define GZ_NONE 0

Definition at line 159 of file gzguts.h.

## GZ_READ

#define GZ_READ 7247

Definition at line 160 of file gzguts.h.

## GZ_WRITE

#define GZ_WRITE 31153

Definition at line 161 of file gzguts.h.

## GZBUFSIZE

#define GZBUFSIZE 8192

Definition at line 156 of file gzguts.h.

## GZIP

#define GZIP 2 /* decompress a gzip stream */

Definition at line 167 of file gzguts.h.

## local

#define local static

Definition at line 114 of file gzguts.h.

## LOOK

#define LOOK 0 /* look for a gzip header */

Definition at line 165 of file gzguts.h.

## ZLIB_INTERNAL

#define ZLIB_INTERNAL

Definition at line 18 of file gzguts.h.

## zstrerror

#define zstrerror | ( |  | ) | strerror(errno)

Definition at line 133 of file gzguts.h.

## Typedef Documentation

## gz_statep

typedef gz_state FAR* gz_statep

Definition at line 202 of file gzguts.h.

## Function Documentation

## OF() [1/7]

ZEXTERN gzFile ZEXPORT gzopen64 OF | ( | (const char *, const char *) |  | ) |

## OF() [2/7]

void ZLIB_INTERNAL gz_error OF | ( | (gz_statep, int, const char *) |  | ) |

## OF() [3/7]

ZEXTERN z_off64_t ZEXPORT gztell64 OF | ( | (gzFile) |  | ) |

## OF() [4/7]

ZEXTERN z_off64_t ZEXPORT gzseek64 OF | ( | (gzFile, z_off64_t, int) |  | ) |

## OF() [5/7]

voidp malloc OF | ( | (uInt size) |  | ) |

## OF() [6/7]

unsigned ZLIB_INTERNAL gz_intmax OF | ( | (void) |  | ) |

## OF() [7/7]

void free OF | ( | (voidpf ptr) |  | ) |